summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Leonard Schmidt <lems@gmx.net>2014-08-14 22:33:45 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-08-15 23:21:32 +0700
commit29569b8f8218c831842ef2e1be566d46b9f5ef3b (patch)
tree384bdb3c6922fea0fcdbcac7882117a45e13183d
parente5f0fc05ee131ac75436d09e45a1e6d4a1c51e4e (diff)
downloadslackbuilds-29569b8f8218c831842ef2e1be566d46b9f5ef3b.tar.gz
slackbuilds-29569b8f8218c831842ef2e1be566d46b9f5ef3b.tar.xz
desktop/ctwm: Added (TWM extension).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--desktop/ctwm/README20
-rw-r--r--desktop/ctwm/ctwm.SlackBuild97
-rw-r--r--desktop/ctwm/ctwm.info10
-rw-r--r--desktop/ctwm/ctwm.path.diff.gzbin0 -> 314 bytes
-rw-r--r--desktop/ctwm/slack-desc19
-rw-r--r--desktop/ctwm/xinitrc.ctwm32
6 files changed, 178 insertions, 0 deletions
diff --git a/desktop/ctwm/README b/desktop/ctwm/README
new file mode 100644
index 0000000000..15e4115493
--- /dev/null
+++ b/desktop/ctwm/README
@@ -0,0 +1,20 @@
+CTWM is an extension to twm, originally written by Claude Lecommandeur
+that support multiple virtual screens, and a lot of other goodies.
+
+You can use and manage up to 32 virtual screens called workspaces.
+You swap from one workspace to another by clicking on a button in an
+optional panel of buttons (the workspace manager) or by invoking a function.
+
+You can custom each workspace by choosing different colors, names
+and pixmaps for the buttons and background root windows.
+
+Its main features are:
+
+ - Optional 3D window titles and border (ala Motif).
+ - Shaped, colored icons.
+ - Multiple icons for clients based on the icon name.
+ - Windows can belong to several workspaces.
+ - A map of your workspaces to move quickly windows between
+ different workspaces.
+ - Animations: icons, root backgrounds and buttons can be animated.
+ - Pinnable and sticky menus.
diff --git a/desktop/ctwm/ctwm.SlackBuild b/desktop/ctwm/ctwm.SlackBuild
new file mode 100644
index 0000000000..8ef85ed80e
--- /dev/null
+++ b/desktop/ctwm/ctwm.SlackBuild
@@ -0,0 +1,97 @@
+#!/bin/sh
+
+# Slackware build script for ctwm
+
+# Copyright 2014, Leonard Schmidt, <lems@gmx.net>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=ctwm
+VERSION=${VERSION:-3.8.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+zcat $CWD/ctwm.path.diff.gz | patch -p1 --verbose
+cp Imakefile.local-template Imakefile.local
+xmkmf -a
+
+make CDEBUGFLAGS="$SLKCFLAGS"
+make install install.man DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+install -D -m0755 $CWD/xinitrc.ctwm $PKG/etc/X11/xinit/xinitrc.ctwm
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGES PROBLEMS README README.gnome TODO TODO.gnome \
+ example.ctwmrc levitte.ctwmrc peterc.ctwmrc system.ctwmrc.gnome \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/ctwm/ctwm.info b/desktop/ctwm/ctwm.info
new file mode 100644
index 0000000000..01fdd41a1a
--- /dev/null
+++ b/desktop/ctwm/ctwm.info
@@ -0,0 +1,10 @@
+PRGNAM="ctwm"
+VERSION="3.8.2"
+HOMEPAGE="https://ctwm.org"
+DOWNLOAD="http://ctwm.org/dist/ctwm-3.8.2.tar.xz"
+MD5SUM="c53634916b530e5aaff7621d13cf1b06"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Leonard Schmidt"
+EMAIL="lems@gmx.net"
diff --git a/desktop/ctwm/ctwm.path.diff.gz b/desktop/ctwm/ctwm.path.diff.gz
new file mode 100644
index 0000000000..936c334d9b
--- /dev/null
+++ b/desktop/ctwm/ctwm.path.diff.gz
Binary files differ
diff --git a/desktop/ctwm/slack-desc b/desktop/ctwm/slack-desc
new file mode 100644
index 0000000000..86a13ff566
--- /dev/null
+++ b/desktop/ctwm/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+ctwm: ctwm (TWM extension)
+ctwm:
+ctwm: CTWM is an extension to twm that supports multiple virtual screens,
+ctwm: the pixmap file format, pinnable menus and other enhancements.
+ctwm:
+ctwm:
+ctwm: Homepage: http://www.ctwm.org
+ctwm:
+ctwm:
+ctwm:
+ctwm:
diff --git a/desktop/ctwm/xinitrc.ctwm b/desktop/ctwm/xinitrc.ctwm
new file mode 100644
index 0000000000..fc1107ab3c
--- /dev/null
+++ b/desktop/ctwm/xinitrc.ctwm
@@ -0,0 +1,32 @@
+#!/bin/sh
+
+userresources=$HOME/.Xresources
+usermodmap=$HOME/.Xmodmap
+sysresources=/etc/X11/xinit/.Xresources
+sysmodmap=/etc/X11/xinit/.Xmodmap
+
+# merge in defaults and keymaps
+
+if [ -f $sysresources ]; then
+ xrdb -merge $sysresources
+fi
+
+if [ -f $sysmodmap ]; then
+ xmodmap $sysmodmap
+fi
+
+if [ -f $userresources ]; then
+ xrdb -merge $userresources
+fi
+
+if [ -f $usermodmap ]; then
+ xmodmap $usermodmap
+fi
+
+# Start the window manager:
+if [ -z "$DESKTOP_SESSION" -a -x /usr/bin/ck-launch-session ]; then
+ exec ck-launch-session dbus-launch --exit-with-session /usr/bin/ctwm
+else
+ exec /usr/bin/ctwm
+fi
+